
const Main = [
  {
    name: '首页',
    page: 'pages/ShouYe/index',
    track: {
      event: 'index',
      eventType: 'main',
    }
  },
  {
    name: '首页-活动',
    page: 'pages/ShouYe/HuoDong/index',
    track: {
      event: 'list',
      eventType: 'activity',
    }
  },
  {
    name: '首页-资讯',
    page: 'pages/ShouYe/ZiXun/index',
    track: {
      event: 'list',
      eventType: 'news',
    }
  }
]

const Property = [
  {
    name: '物业',
    page: 'pages/WuYe/index',
    track: {
      event: 'list',
      eventType: 'property',
    }
  },
  {
    name: '物业-服务详情',
    page: 'pages/WuYe/FuWuDetail/index',
    track: {
      event: 'detail',
      eventType: 'property',
    }
  },
  {
    name: '物业-公告详情',
    page: 'pages/WuYe/GongGaoDetail/index',
    track: {
      event: 'detail',
      eventType: 'property',
    }
  },
  {
    name: '物业-报修区域',
    page: 'pages/WuYe/BaoXiuQuYu/index',
    type: 'property',
  },
  {
    name: '物业-添加报修',
    page: 'pages/WuYe/TianJiaBaoXiu/index',
    track: {
      event: 'detail',
      eventType: 'property',
    }
  },
  {
    name: '物业-报修详情',
    page: 'pages/WuYe/BaoXiuDetail/index',
    track: {
      event: 'detail',
      eventType: 'property',
    }
  },
  {
    name: '物业-编辑报修',
    page: 'pages/WuYe/XiuGaiBaoXiu/index',
    track: {
      event: 'detail',
      eventType: 'property',
    }
  },
  {
    name: '物业-报修费用',
    page: 'pages/WuYe/BaoXiuFeiYong/index',
    track: {
      event: 'detail',
      eventType: 'property',
    }
  },
  {
    name: '物业-缴费详情',
    page: 'pages/WuYe/JiaoFeiDetail/index',
    track: {
      event: 'detail',
      eventType: 'property',
    }
  }
]

const Activity = [
  {
    name: '活动',
    page: 'pages/HuoDong/index',
    track: {
      event: 'list',
      eventType: 'activity',
    }
  },
  {
    name: '活动-活动详情',
    page: 'pages/HuoDong/HuoDongDetail/index',
    track: {
      event: 'detail',
      eventType: 'activity',
    }
  },
  {
    name: '活动-资讯详情',
    page: 'pages/HuoDong/ZiXunDetail/index',
    track: {
      event: 'detail',
      eventType: 'news',
    }
  }
]

const Shop = [
  {
    name: '福利',
    page: 'pages/FuLi/index',
    track: {
      event: 'list',
      eventType: 'shop',
    }
  },
  {
    name: '福利-商品详情',
    page: 'pages/FuLi/ShangPinXiangQing/index',
    track: {
      event: 'detail',
      eventType: 'shop',
    }
  },
  {
    name: '福利-商品兑换',
    page: 'pages/FuLi/ShangPinDuiHuan/index',
    track: {
      event: 'exchange',
      eventType: 'shop',
    }
  },
  {
    name: '福利-积分规则',
    page: 'pages/FuLi/JiFenGuiZe/index',
    track: {
      event: 'points_rule',
      eventType: 'shop',
    }
  },
  {
    name: '福利-积分明细',
    page: 'pages/FuLi/JiFenMingXi/index',
    track: {
      event: 'points_details',
      eventType: 'shop',
    }
  }
]

const Other = [
  {
    name: '我的',
    page: 'pages/WoDe/index',
    track: {
      event: 'list',
      eventType: 'other',
    }
  },
  {
    name: '我的-个人信息',
    page: 'pages/WoDe/GeRenXinXi/index',
    track: {
      event: 'detail',
      eventType: 'other',
    }
  },
  {
    name: '我的-业主认证',
    page: 'pages/WoDe/YeZhuRenZheng/index',
    track: {
      event: 'detail',
      eventType: 'property',
    }
  },
  {
    name: '我的-业主审核',
    page: 'pages/WoDe/YeZhuShenHe/index',
    track: {
      event: 'detail',
      eventType: 'property',
    }
  },
  {
    name: '我的-我的活动',
    page: 'pages/WoDe/WoDeHuoDong/index',
    track: {
      event: 'list',
      eventType: 'activity',
    }
  },
  {
    name: '我的-推荐二维码',
    page: 'pages/WoDe/TuiJianErWeiMa/index',
    track: {
      event: 'detail',
      eventType: 'other',
    }
  },
  {
    name: '我的-推荐分享',
    page: 'pages/WoDe/TuiJianFenXiang/index',
    track: {
      event: 'detail',
      eventType: 'other',
    }
  },
]

module.exports = [
  ...Main,
  ...Property,
  ...Activity,
  ...Shop,
  ...Other
]
