import React, { useState, useEffect } from 'react'
import Taro, { Current } from '@tarojs/taro'
import request, { apis } from '@/utils/request'
import { useModel } from '@/store'
import '@/assets/css/reset.less'
import '@/assets/css/iconfont.less'
import './index.less'

export default function WuYeGongGaoDetail () {

  const { user } = useModel('user')
  const CurrnetId = Current.router.params.id
  const [DetailInfo, setDetailInfo] = useState(null)

  useEffect(() => {
    Init()
  }, [])

  const Init = () => {
    request({ ...apis.getGongGaoDetail, args: { orgId: user.orgId }, params: { id: CurrnetId } }).then((res) => {
      console.log(JSON.stringify(res))
      setDetailInfo(res)
    })
  }

  return (
    <view className='WuYeGongGaoDetail'>

    </view>
  )
}
